## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_with tests

Name:       protontricks
Version:    1.11.1
Release:    %autorelease
Summary:    Simple wrapper that does winetricks things for Proton enabled games
BuildArch:  noarch

License:    GPL-3.0-or-later
URL:        https://github.com/Matoking/protontricks

# GitHub tarball won't work for setuptools-scm
Source0:    %{pypi_source %{name}}

BuildRequires: desktop-file-utils
BuildRequires: python3-devel > 3.6
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(setuptools-scm)
BuildRequires: python3dist(vdf) >= 3.4
%if %{with tests}
BuildRequires: python3dist(pytest-cov) >= 2.10
BuildRequires: python3dist(pytest) >= 6.0
%endif

Requires:   winetricks

Recommends: yad

Suggests:   zenity


%description
A simple wrapper that does winetricks things for Proton enabled games,
requires Winetricks.

This is a fork of the original project created by sirmentio. The original
repository is available at Sirmentio/protontricks.


%prep
%autosetup


%build
%py3_build


%install
%py3_install

# Remove `protontricks-desktop-install`, since we already install .desktop
# files properly
# https://bugzilla.redhat.com/show_bug.cgi?id=1991684
rm %{buildroot}%{_bindir}/%{name}-desktop-install


%if %{with tests}
%check
%{py3_test_envvars} %{python3} -m pytest -v
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
%endif


%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/%{name}-launch
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}*.egg-info


%changelog
## START: Generated by rpmautospec
* Tue Feb 20 2024 Packit <hello@packit.dev> - 1.11.1-1
- [packit] 1.11.1 upstream release
- Resolves rhbz#2265165

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 31 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.11.0-2
- packit: Update config

* Sun Dec 31 2023 Packit <hello@packit.dev> - 1.11.0-1
- [packit] 1.11.0 upstream release
- Resolves rhbz#2237480

* Wed Oct 18 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.5-4
- build: Add Packit config

* Wed Oct 18 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.5-3
- test: Add {py3_test_envvars}

* Wed Oct 18 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.5-2
- license: Convert to SPDX

* Wed Sep 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.5-1
- chore(update): 1.10.5 (rf#2237480)

* Sat Aug 26 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.4-1
- chore(update): 1.10.4

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.10.3-2
- Rebuilt for Python 3.12

* Sat May 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.3-1
- chore(update): 1.10.3

* Tue Feb 14 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.2-1
- chore(update): 1.10.2

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.1-1
- chore: Update to 1.10.1

* Sun Nov 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.0-1
- chore(update): 1.10.0

* Fri Sep 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9.2-1
- chore(update): 1.9.2

* Mon Aug 29 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9.1-1
- chore(update): 1.9.1

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 03 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9.0-1
- chore(update): 1.9.0

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.8.2-2
- Rebuilt for Python 3.11

* Mon May 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.2-1
- chore(update): 1.8.2

* Sun Mar 20 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.1-1
- chore(update): 1.8.1

* Sat Feb 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.0-1
- chore(update): 1.8.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.7.0-1
- chore(update): 1.7.0

* Mon Nov 29 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-1
- chore(update): 1.6.2

* Mon Oct 18 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.1-1
- chore(update): 1.6.1

* Mon Aug 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.0-2
- fix: Remove `protontricks-desktop-install` | rh#1991684

* Sun Aug 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.0-1
- build(update): 1.6.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.5.1-2
- Rebuilt for Python 3.10

* Mon May 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.1-1
- build(update): 1.5.1

* Sat Apr 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.0-1
- build(update): 1.5.0

* Wed Feb 03 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.4-1
- build(update): 1.4.4

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.3-3
- build: polish to conform Fedora guidelines

* Mon Dec 28 2020 gasinvein <gasinvein@gmail.com> - 1.4.3-0.1
- Initial package

## END: Generated by rpmautospec
